> ## Documentation Index
> Fetch the complete documentation index at: https://developers.datagrid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List data views

> Returns the list of data views for a service account.



## OpenAPI

````yaml get /data-views
openapi: 3.0.3
info:
  version: 0.1.1
  title: Datagrid API
  description: Datagrid API
servers:
  - url: https://api.datagrid.com/v1
security:
  - BearerAuth: []
paths:
  /data-views:
    get:
      tags:
        - Data Views
      summary: List data views
      description: Returns the list of data views for a service account.
      operationId: DataViews.listDataViews
      parameters:
        - name: service_account_id
          in: query
          required: true
          schema:
            type: string
          description: The id of the service account to list data views for.
        - name: knowledge_id
          in: query
          required: false
          schema:
            type: string
          description: The id of the knowledge to list data views for.
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/offset'
      responses:
        '200':
          description: List of data views
          content:
            application/json:
              schema:
                type: object
                required:
                  - object
                  - data
                properties:
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/DataView'
                    description: An array containing the data views.
        '429':
          description: >-
            Rate limit exceeded. The request has been throttled because the rate
            limit for this endpoint has been reached. Check the `Retry-After`
            response header and retry after the specified number of seconds.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Datagrid from 'datagrid-ai';


            const client = new Datagrid({
              apiKey: process.env['DATAGRID_API_KEY'], // This is the default and can be omitted
            });


            const dataViews = await client.dataViews.list({ service_account_id:
            'service_account_id' });


            console.log(dataViews.data);
        - lang: Python
          source: |-
            import os
            from datagrid_ai import Datagrid

            client = Datagrid(
                api_key=os.environ.get("DATAGRID_API_KEY"),  # This is the default and can be omitted
            )
            data_views = client.data_views.list(
                service_account_id="service_account_id",
            )
            print(data_views.data)
components:
  parameters:
    limit:
      name: limit
      in: query
      schema:
        type: integer
        default: 50
        minimum: 1
        maximum: 100
      required: false
      description: The limit on the number of objects to return, ranging between 1 and 100.
    offset:
      name: offset
      in: query
      schema:
        type: integer
        default: 0
        minimum: 0
        maximum: 100000
      required: false
      description: >-
        A cursor to use in pagination. `offset` is an integer that defines your
        place in the list. For example, if you make a list request and receive
        100 objects, starting with `obj_bar`, your subsequent call can include
        `offset=100` to fetch the next page of the list.
  schemas:
    DataView:
      type: object
      description: >-
        The `data_view` object represents a view into a knowledge source that
        can be accessed through a service account.
      required:
        - object
        - id
        - bigquery_dataset_name
        - created_at
        - knowledge_id
        - service_account_id
      properties:
        object:
          type: string
          enum:
            - data_view
          description: The object type, which is always `data_view`.
        id:
          type: string
          description: The data view identifier.
        bigquery_dataset_name:
          type: string
          description: The name of the BigQuery dataset containing views to the data.
        created_at:
          type: string
          format: date-time
          description: The ISO string for when the data view was created.
        knowledge_id:
          type: string
          description: The id of the knowledge this data view is for.
        service_account_id:
          type: string
          description: The id of the service account that can access this data view.
    RateLimitError:
      type: object
      description: >-
        Returned when the rate limit is exceeded. Rate limits are enforced per
        teamspace, endpoint path, and HTTP method over a 60-second sliding
        window. Each endpoint may have its own limit — check the
        X-RateLimit-Limit response header for the effective value.
      required:
        - error
        - message
        - retryable
        - status_code
      properties:
        status_code:
          type: integer
          description: The HTTP status code (429).
        statusCode:
          type: integer
          deprecated: true
          description: Deprecated. Use status_code instead.
        error:
          type: string
          enum:
            - rate_limit_exceeded
          description: The error code identifying this as a rate limit error.
        message:
          type: string
          description: A human-readable error message.
        mitigation:
          type: string
          description: Suggested action to resolve the error.
        retryable:
          type: boolean
          description: Whether the request can be retried after a delay.
        details:
          type: object
          properties:
            reason:
              type: string
              description: A detailed explanation of why the rate limit was exceeded.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````